% funkce vraci n-te Fibonacciho cislo
% Fibonacciho posloupnost:
% 0, 1, 1, 2, 3, 5, 8, 13, 21, 34, ...
% f0 f1 f2 f3 f4 ...
%
% f0 = 0
% f1 = 1
% resp. f2 = 1
% f_n = f_(n-1) + f_(n-2)

function f = fibc ( n )

if (n==0)
    f=0;
elseif (n<=2)
    f=1;
else
    fi=zeros(1,n); % pomocna posloupnost (vektor)
    fi(1) = 1;
    fi(2) = 1;
    for k=3:n
      fi(k) = fi(k-1) + fi(k-2);
    end
    f = fi(n);
end
